﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Web.UI.HtmlControls;

public partial class panelBarContentTemp : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
       
    }


    class TextBoxTemplate : ITemplate
    {
        public void InstantiateIn(Control container)
        {
            HtmlGenericControl div1 = new HtmlGenericControl("div");
            Label label1 = new Label();
            label1.Text = "Unit Price:  ";
            Label label2 = new Label();
            label2.DataBinding += new EventHandler(label2_DataBinding);
            div1.Controls.Add(label1);
            div1.Controls.Add(label2);

            container.Controls.Add(div1);

            HtmlGenericControl div2 = new HtmlGenericControl("div");
            Label label3 = new Label();
            label3.Text = "Units In Stock:  ";
            Label label4 = new Label();
            label4.DataBinding += new EventHandler(label4_DataBinding);
            div2.Controls.Add(label3);
            div2.Controls.Add(label4);

            container.Controls.Add(div2);
        }


        private void label2_DataBinding(object sender, EventArgs e)
        {
            Label target = (Label)sender;
            RadPanelItem item = (RadPanelItem)target.BindingContainer;
            target.Text = item.Attributes["UnitPrice"].ToString();
        }

        private void label4_DataBinding(object sender, EventArgs e)
        {
            Label target = (Label)sender;
            RadPanelItem item = (RadPanelItem)target.BindingContainer;
            target.Text = item.Attributes["UnitsInStock"].ToString();
        }
    }
  
    protected void TermsPanelBar_DataBound(object sender, EventArgs e)
    {
        TextBoxTemplate template = new TextBoxTemplate();

        foreach (RadPanelItem item in TermsPanelBar.GetAllItems())
        {

            item.ContentTemplate = template;
            template.InstantiateIn(item);
            item.DataBind();

        }
     
    }
    protected void TermsPanelBar_ItemDataBound(object sender, RadPanelBarEventArgs e)
    {
        e.Item.Attributes["UnitPrice"] = DataBinder.Eval(e.Item.DataItem, "UnitPrice").ToString();
        e.Item.Attributes["UnitsInStock"] = DataBinder.Eval(e.Item.DataItem, "UnitsInStock").ToString();
    }
}
